Name:          ansible
Version:       4.3.0
Release:       1mamba
Summary:       A radically simple IT automation system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.ansible.com/
Source:        https://pypi.debian.net/ansible/ansible-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(ansible-core)
## AUTOBUILDREQ-END
Requires:      python3 >= %python3_version
Requires:      PyYAML-py3
Requires:      python-paramiko-py3
Requires:      python-Jinja2-py3
Requires:      python-netaddr-py3
Requires:      python-markupsafe-py3
Requires:      python-cryptography-py3
Provides:      python-ansible
Obsoletes:     python-ansible < 4.0.0

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist
sed -i "/ /d" %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python3_sitearch}/ansible_collections/cisco/intersight/misc/*.pdf
%{python3_sitearch}/ansible_collections/cisco/ucs/misc/*.pdf
%{python3_sitearch}/ansible_collections/community/network/tests/integration/targets/ce_is_is_view/tests/netconf/test*.yaml
%{python3_sitearch}/ansible_collections/dellemc/enterprise_sonic/tests/regression/roles/sonic_bgp_neighbors/defaults/main*copy.yml
%dir %{python3_sitearch}/ansible-%{version}-py*.egg-info
%{python3_sitearch}/ansible-%{version}-py*.egg-info/*
%doc COPYING

%changelog
* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Wed May 12 2021 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 2.10.7-1mamba
- automatic version update by autodist

* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 2.10.6-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic version update by autodist

* Fri Dec 04 2020 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Wed Oct 14 2020 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Sat Sep 26 2020 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.13-2mamba
- rebuilt with python3

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 2.9.13-1mamba
- automatic version update by autodist

* Wed Aug 12 2020 Automatic Build System <autodist@mambasoft.it> 2.9.12-1mamba
- automatic version update by autodist

* Tue Jul 21 2020 Automatic Build System <autodist@mambasoft.it> 2.9.11-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Automatic Build System <autodist@mambasoft.it> 2.9.10-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 2.9.9-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 2.9.7-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 2.9.6-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 2.9.5-1mamba
- automatic version update by autodist

* Sun Feb 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-1mamba
- update to 2.9.4

* Thu May 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- package created using the webbuild interface
